.TH HG EXPORT  "" "" ""
.SH NAME
hg export \- dump the header and diffs for one or more changesets
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg export [OPTION]... [\-o OUTFILESPEC] [\-r] [REV]...
.ft P
.fi
.SH DESCRIPTION
.sp
Print the changeset header and diffs for one or more revisions.
If no revision is given, the parent of the working directory is used.
.sp
The information shown in the changeset header is: author, date,
branch name (if non\-default), changeset hash, parent(s) and commit
comment.
.IP Note
.
\%\fBhg export\fP\: may generate unexpected diff output for merge
changesets, as it will compare the merge changeset against its
first parent only.
.RE
.sp
Output may be to a file, in which case the name of the file is
given using a template string. See \%\fBhg help templates\fP\:. In addition
to the common template keywords, the following formatting rules are
supported:
.INDENT 0.0
.TP
.B \fB%%\fP
.sp
literal "%" character
.TP
.B \fB%H\fP
.sp
changeset hash (40 hexadecimal digits)
.TP
.B \fB%N\fP
.sp
number of patches being generated
.TP
.B \fB%R\fP
.sp
changeset revision number
.TP
.B \fB%b\fP
.sp
basename of the exporting repository
.TP
.B \fB%h\fP
.sp
short\-form changeset hash (12 hexadecimal digits)
.TP
.B \fB%m\fP
.sp
first line of the commit message (only alphanumeric characters)
.TP
.B \fB%n\fP
.sp
zero\-padded sequence number, starting at 1
.TP
.B \fB%r\fP
.sp
zero\-padded changeset revision number
.TP
.B \fB\e\fP
.sp
literal "" character
.UNINDENT
.sp
Without the \-a/\-\-text option, export will avoid generating diffs
of files it detects as binary. With \-a, export will generate a
diff anyway, probably with undesirable results.
.sp
With \-B/\-\-bookmark changesets reachable by the given bookmark are
selected.
.sp
Use the \-g/\-\-git option to generate diffs in the git extended diff
format. See \%\fBhg help diffs\fP\: for more information.
.sp
With the \-\-switch\-parent option, the diff will be against the
second parent. It can be useful to review a merge.
.sp
Template:
.sp
The following keywords are supported in addition to the common template
keywords and functions. See also \%\fBhg help templates\fP\:.
.INDENT 0.0
.TP
.B diff
.
String. Diff content.
.TP
.B parents
.
List of strings. Parent nodes of the changeset.
.UNINDENT
.sp
Examples:
.INDENT 0.0
.IP \(bu 2
.
use export and import to transplant a bugfix to the current
branch:
.sp
.nf
.ft C
hg export \-r 9353 | hg import \-
.ft P
.fi
.IP \(bu 2
.
export all the changesets between two revisions to a file with
rename information:
.sp
.nf
.ft C
hg export \-\-git \-r 123:150 > changes.txt
.ft P
.fi
.IP \(bu 2
.
split outgoing changes into a series of patches with
descriptive names:
.sp
.nf
.ft C
hg export \-r "outgoing()" \-o "%n\-%m.patch"
.ft P
.fi
.UNINDENT
.sp
Returns 0 on success.
.SH OPTIONS
.INDENT 0.0
.TP
.BI \-B,  \-\-bookmark \ <BOOKMARK>
.
export changes only reachable by given bookmark
.TP
.BI \-o,  \-\-output \ <FORMAT>
.
print output to file with formatted name
.TP
.B \-\-switch\-parent
.
diff against the second parent
.TP
.BI \-r,  \-\-rev \ <REV[+]>
.
revisions to export
.TP
.B \-a,  \-\-text
.
treat all files as text
.TP
.B \-g,  \-\-git
.
use git extended diff format (DEFAULT: diff.git)
.TP
.B \-\-binary
.
generate binary diffs in git mode (default)
.TP
.B \-\-nodates
.
omit dates from diff headers
.TP
.BI \-T,  \-\-template \ <TEMPLATE>
.
display with template
.UNINDENT
.sp
[+] marked option can be specified multiple times
.\" Generated by docutils manpage writer.
.\" 
.
